# Spec ParseError
Exception class for parser errors.

Extends | RuntimeError
All Extended | RuntimeError
All Subcl's | BadLexicalCast, EmptyFieldError, UnexpectedEnd
Defined in | <seqan/basic.h>
Signature | `struct ParseError : RuntimeError;`

## Member Function Overview

- `ParseError::ParseError(message);`
  Constructor.

### Member Functions Inherited From RuntimeError

- `RuntimeError`

## Member Functions Detail

### `ParseError::ParseError(message);`

Constructor.

#### Parameters

`message` | The error message to use, `std::string` or `char const *` .

#### Data Races

If not stated otherwise, concurrent invocation is not guaranteed to be thread-safe.

#### Dox Sources

    /*!
     * @class ParseError
     *
     * @extends RuntimeError
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief Exception class for parser errors.
     *
     * @signature struct ParseError : RuntimeError;
     *
     * @fn ParseError::ParseError
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief Constructor.
     *
     * @signature ParseError::ParseError(message);
     *
     * @param[in] message The error message to use, <tt>std::string</tt> or <tt>char
     *                    const * </tt>.
     */